ArtifactId
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.module.id
Class ArtifactId

    java.lang.Object
      org.apache.ivy.core.module.id.ArtifactId

    public class ArtifactId

extends java.lang.Object

Identifies an artifact in a module, without revision information

See Also:
  org.apache.ivy.core.module.id

Constructor Summary
`ArtifactId(ModuleId mid, java.lang.String name, java.lang.String type, java.lang.String ext)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getExt()`
`ModuleId` | `getModuleId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getShortDescription()`
`java.lang.String` | `getType()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArtifactId

    public ArtifactId(ModuleId mid,
                      java.lang.String name,
                      java.lang.String type,
                      java.lang.String ext)

Parameters:
  `mid` - The ModuleId, which is the base of this artifact.
  `name` - The name of the artifact.
  `type` - The type of the artifact.

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getShortDescription

    public java.lang.String getShortDescription()

### getModuleId

    public ModuleId getModuleId()

  Returns:
    Returns the module id.

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### getType

    public java.lang.String getType()

  Returns:
    Returns the type.

### getExt

    public java.lang.String getExt()

  Returns:
    Returns the ext.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD